package exampleSet1;
import java.awt.*;
import javax.swing.*;

/**
 * <code>DemoBasic_v1</code> is a trivial interface that has a simple
 * component, a <code>JLabel</code>. <code>DemoBasic_v1</code> was created
 * to contrast with <code>DemoBasic_v2</code>. <code>DemoBasic_v1</code>
 * demonstrates the addition of a component directly to the content pane
 * <p>
 * Screen snapshot<br>
 * <center><img src = "img/DemoBasic_v1-1.gif"></center>
 * <p>
 * 
 * @see <a href="../DemoBasic_v1.java">source code</a>
 * @author M. Baljko, 2004
 */
public class DemoBasicV1 {
	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});
	}
	
	private static void createAndShowGUI() {
		JFrame frame = new DemoBasicFrameV1();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setTitle(frame.getClass().getName());
		frame.pack();
		frame.setVisible(true); // alternative: frame.show()
	}

}

class DemoBasicFrameV1 extends JFrame {
	public DemoBasicFrameV1() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		// Step 1: Create and Configure Components
		JLabel sampleLabel = new JLabel("Sample Label");
		sampleLabel.setPreferredSize(new Dimension(250, 100));
		sampleLabel.setFont(new Font("sanserif", Font.PLAIN, 16));

		// Step 2: Register Listeners
		/*
		 * sampleLabel *cannot* react to user actions, no listener can be
		 * registered.
		 */

		// Step 3: Arrange components in contentPane
		getContentPane().add(sampleLabel);
	}
}
